Bug 501516 - yum-3.2.22-5.fc10 breaks createrepo
yum-3.2.22-5.fc10 breaks createrepo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 10:51 EDT by Orion Poplawski
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.9.7-7.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-05-19 10:51:17 EDT
Description of problem:

After installing yum-3.2.22-5.fc10:

# createrepo -g comps.xml  /data/sw1/fedora/CoRPMS/fc9/i386
Traceback (most recent call last):
  File "/usr/share/createrepo/genpkgmetadata.py", line 211, in <module>
    main(sys.argv[1:])
  File "/usr/share/createrepo/genpkgmetadata.py", line 185, in main
    mdgen.doPkgMetadata()
  File "/usr/lib/python2.5/site-packages/createrepo/__init__.py", line 332, in doPkgMetadata
    self.writeMetadataDocs(packages)
  File "/usr/lib/python2.5/site-packages/createrepo/__init__.py", line 472, in writeMetadataDocs
    self.primaryfile.write(po.xml_dump_primary_metadata())
  File "/usr/lib/python2.5/site-packages/yum/packages.py", line 1013, in xml_dump_primary_metadata
    msg += misc.to_unicode(self._dump_base_items())
  File "/usr/lib/python2.5/site-packages/yum/packages.py", line 846, in _dump_base_items
    (csum_type, csum, csumid) = self.checksums[0]
IndexError: list index out of range

Version-Release number of selected component (if applicable):
createrepo-0.9.6-3.fc10.noarch

How reproducible:
every time
Comment 1 seth vidal 2009-05-19 10:56:11 EDT
Thanks. I'll be putting an updated createrepo into updates-testing today.
Comment 2 Fedora Update System 2009-05-19 14:40:32 EDT
createrepo-0.9.7-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/createrepo-0.9.7-7.fc10
Comment 3 Orion Poplawski 2009-05-19 15:32:36 EDT
That works, thanks.  You probably want to combine the yum and createrepo updates so they get pushed together.
Comment 4 Fedora Update System 2009-05-20 19:57:19 EDT
createrepo-0.9.7-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update createrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5255
Comment 5 Fedora Update System 2009-06-15 21:53:08 EDT
createrepo-0.9.7-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.